Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class LinkLoopException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.naming.NamingException
                        |
                        +--javax.naming.LinkException
                              |
                              +--javax.naming.LinkLoopException

All Implemented Interfaces:
  Serializable

public class LinkLoopException
extends LinkException

This exception is thrown when a loop was detected will attempting to resolve a link, or an implementation specific limit on link counts has been reached.

Synchronization and serialization issues that apply to LinkException apply directly here.

Since:
  1.3
See Also:
  `LinkRef`, Serialized Form

Fields inherited from class javax.naming.LinkException
`linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`LinkLoopException()` Constructs a new instance of LinkLoopException.
`LinkLoopException(String explanation)` Constructs a new instance of LinkLoopException with an explanation All the other fields are initialized to null.

Methods inherited from class javax.naming.LinkException
`getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, printStackTrace, printStackTrace, printStackTrace, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkLoopException

    public LinkLoopException(String explanation)

  Constructs a new instance of LinkLoopException with an explanation All the other fields are initialized to null.
  Parameters:
    `explanation` - A possibly null string containing additional detail about this exception.
  See Also:
    `Throwable.getMessage()`

### LinkLoopException

    public LinkLoopException()

  Constructs a new instance of LinkLoopException. All the non-link-related and link-related fields are initialized to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.